<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: molecular_eos_spec_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_84f42f204b822dde8cb4d8a231b19254.html">cfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">molecular_eos_spec_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacemolecular__eos__spec__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html">molecular_eos_spec_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a33c50404b83c1319a503b749a3ec53f9"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a33c50404b83c1319a503b749a3ec53f9">molecular_eos_spec_m::init_molecular_eos_spec</a> (cfd)</td></tr>
<tr class="separator:a33c50404b83c1319a503b749a3ec53f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a960587ca94951552f52f69dc8fcb0b1f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a960587ca94951552f52f69dc8fcb0b1f">molecular_eos_spec_m::update_molecular_eos_spec</a> (cfd)</td></tr>
<tr class="separator:a960587ca94951552f52f69dc8fcb0b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfb1ee8e90a57eb007a4e46c5449a5ad"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#acfb1ee8e90a57eb007a4e46c5449a5ad">molecular_eos_spec_m::cfd_p_from_t_spec</a> (cfd)</td></tr>
<tr class="separator:acfb1ee8e90a57eb007a4e46c5449a5ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d08c997c6a2283205f133a78c54a038"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a5d08c997c6a2283205f133a78c54a038">molecular_eos_spec_m::cfd_t_from_p_spec</a> (cfd)</td></tr>
<tr class="separator:a5d08c997c6a2283205f133a78c54a038"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a763da762ccee76eeaaf2a46601bb4f1e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a763da762ccee76eeaaf2a46601bb4f1e">molecular_eos_spec_m::cfd_t_from_e_spec</a> (cfd)</td></tr>
<tr class="separator:a763da762ccee76eeaaf2a46601bb4f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9224f0d631b68d09d1df298599b3a4b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#ac9224f0d631b68d09d1df298599b3a4b">molecular_eos_spec_m::cfd_e_from_t_spec</a> (cfd)</td></tr>
<tr class="separator:ac9224f0d631b68d09d1df298599b3a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a208141fe4563d6607ec26378abdfa746"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a208141fe4563d6607ec26378abdfa746">molecular_eos_spec_m::cfd_rho_from_t_spec</a> (cfd)</td></tr>
<tr class="separator:a208141fe4563d6607ec26378abdfa746"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab747f051562a799cf940225a7118712d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#ab747f051562a799cf940225a7118712d">molecular_eos_spec_m::molecular_eos_spec_viscdiff</a> (cfd)</td></tr>
<tr class="separator:ab747f051562a799cf940225a7118712d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a803f1f497f401086c246fa741f31ff02"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="molecular__eos__spec__m_8f90.html#a803f1f497f401086c246fa741f31ff02">molecular_eos_spec_omegamu</a> (temp, omegamu)</td></tr>
<tr class="separator:a803f1f497f401086c246fa741f31ff02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a686305a4af6e0753dfcabefc2b1835d1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a686305a4af6e0753dfcabefc2b1835d1">molecular_eos_spec_m::molecular_eos_spec_cpcv</a> (cfd)</td></tr>
<tr class="separator:a686305a4af6e0753dfcabefc2b1835d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aea599b00c26c63504e94298e4462e63b"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#aea599b00c26c63504e94298e4462e63b">molecular_eos_spec_m::spec_z0</a></td></tr>
<tr class="separator:aea599b00c26c63504e94298e4462e63b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae302a4ce78be7fc0f3716a0ebe642712"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#ae302a4ce78be7fc0f3716a0ebe642712">molecular_eos_spec_m::spec_z1</a></td></tr>
<tr class="separator:ae302a4ce78be7fc0f3716a0ebe642712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8079a43e44a5a4b0805a458e1622590"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#ae8079a43e44a5a4b0805a458e1622590">molecular_eos_spec_m::spec_fuel</a></td></tr>
<tr class="separator:ae8079a43e44a5a4b0805a458e1622590"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cbbeb36e58100046ec9a714223ea266"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a4cbbeb36e58100046ec9a714223ea266">molecular_eos_spec_m::spec_w</a></td></tr>
<tr class="separator:a4cbbeb36e58100046ec9a714223ea266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a550b275aa6c6e8f1cc3e5ba481781f8c"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a550b275aa6c6e8f1cc3e5ba481781f8c">molecular_eos_spec_m::spec_mucoeff</a></td></tr>
<tr class="separator:a550b275aa6c6e8f1cc3e5ba481781f8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c2ada491cf70b3264f98d3e37e14546"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a5c2ada491cf70b3264f98d3e37e14546">molecular_eos_spec_m::spec_kovereps</a></td></tr>
<tr class="separator:a5c2ada491cf70b3264f98d3e37e14546"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53ac346990f2a5b5a4f33afe07663464"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a53ac346990f2a5b5a4f33afe07663464">molecular_eos_spec_m::spec_phi</a></td></tr>
<tr class="separator:a53ac346990f2a5b5a4f33afe07663464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ef7ae3c38edb04b9e90ebd007f6949d"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a3ef7ae3c38edb04b9e90ebd007f6949d">molecular_eos_spec_m::nspec</a></td></tr>
<tr class="separator:a3ef7ae3c38edb04b9e90ebd007f6949d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61ddd71555e5eea87b4df24f4b4e6c2c"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a61ddd71555e5eea87b4df24f4b4e6c2c">molecular_eos_spec_m::nspec_tot</a></td></tr>
<tr class="separator:a61ddd71555e5eea87b4df24f4b4e6c2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fbda5b796568f68e01c86a6fc6bb686"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a4fbda5b796568f68e01c86a6fc6bb686">molecular_eos_spec_m::nspec_ac</a></td></tr>
<tr class="separator:a4fbda5b796568f68e01c86a6fc6bb686"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaba008be0cd0a11afcffb0ec9d2acd0d"><td class="memItemLeft" align="right" valign="top">integer, dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#aaba008be0cd0a11afcffb0ec9d2acd0d">molecular_eos_spec_m::index_sp</a></td></tr>
<tr class="separator:aaba008be0cd0a11afcffb0ec9d2acd0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b41f4c94c5fad1fe3000e299f4ccb45"><td class="memItemLeft" align="right" valign="top">character(len=20), dimension(:), allocatable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a2b41f4c94c5fad1fe3000e299f4ccb45">molecular_eos_spec_m::spec_list</a></td></tr>
<tr class="separator:a2b41f4c94c5fad1fe3000e299f4ccb45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4449a80127c56c8635e4c0d4346286b3"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a4449a80127c56c8635e4c0d4346286b3">molecular_eos_spec_m::mix_scalar</a></td></tr>
<tr class="separator:a4449a80127c56c8635e4c0d4346286b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62b1d4b051cfaa5ceba184ff9e6f877c"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a62b1d4b051cfaa5ceba184ff9e6f877c">molecular_eos_spec_m::fuel_scalar</a></td></tr>
<tr class="separator:a62b1d4b051cfaa5ceba184ff9e6f877c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76a94c1f77ef260c4276a3f7a3e23dca"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a76a94c1f77ef260c4276a3f7a3e23dca">molecular_eos_spec_m::scalar_lookup</a></td></tr>
<tr class="separator:a76a94c1f77ef260c4276a3f7a3e23dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f2b222bd495c2931b2d4b62992f2415"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__spec__m.html#a7f2b222bd495c2931b2d4b62992f2415">molecular_eos_spec_m::isfuel</a></td></tr>
<tr class="separator:a7f2b222bd495c2931b2d4b62992f2415"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a803f1f497f401086c246fa741f31ff02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a803f1f497f401086c246fa741f31ff02">&#9670;&nbsp;</a></span>molecular_eos_spec_omegamu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine molecular_eos_spec_viscdiff::molecular_eos_spec_omegamu </td>
          <td>(</td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>temp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>omegamu</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="molecular__eos__spec__m_8f90_a803f1f497f401086c246fa741f31ff02_icgraph.png" border="0" usemap="#molecular__eos__spec__m_8f90_a803f1f497f401086c246fa741f31ff02_icgraph" alt=""/></div>
<map name="molecular__eos__spec__m_8f90_a803f1f497f401086c246fa741f31ff02_icgraph" id="molecular__eos__spec__m_8f90_a803f1f497f401086c246fa741f31ff02_icgraph">
<area shape="rect" id="node2" href="namespacemolecular__eos__spec__m.html#ab747f051562a799cf940225a7118712d" title="molecular_eos_spec\l_m::molecular_eos_spec\l_viscdiff" alt="" coords="195,35,361,91"/>
<area shape="rect" id="node3" href="namespacemolecular__eos__spec__m.html#a33c50404b83c1319a503b749a3ec53f9" title="molecular_eos_spec\l_m::init_molecular_eos_spec" alt="" coords="409,5,600,47"/>
<area shape="rect" id="node4" href="namespacemolecular__eos__spec__m.html#a960587ca94951552f52f69dc8fcb0b1f" title="molecular_eos_spec\l_m::update_molecular\l_eos_spec" alt="" coords="429,71,580,127"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
